XML Explorer 2

XML Explorer 2.5

  1. You can quickly manipulate any source (local or web) of XML by tree, list view, table view and text view.
  2. You can create schema by your destination XML with compact view.
  3. You can get destination XML in real time when you design schema.
  4. Magic copy and paste feature allows you can copy any source of XML text to system clipboard and paste to any XML Explorer view – tree, list view, table view and text view. Or, vise visa.
  5. Bi-direction XPath support allows you to get standard XPath by clicking any XML node or attribute at any of XML Explorer view – tree, list view, table view and text view.
  6. Two columns of text can be compared and edited.
  7. Fully schema support with tree, list, innovation compact view, text view and more.
  8. You can copy XML data in table view as HTML table with one menu click.
  9. You can edit XML node at tree or list view item with Popup Edit by press Ctrl+Insert

© 2003 Mergesoft Company. All rights reserved.


Quick Start

New/Open/Save/Close/Print

XPath
Copy/Cut/Paste/Delete

Popup Edit

Drag and Drop

Hot Keys Index

New/Open/Save/Close/Print

You can enter a url at address textbox and press enter or click "Dog" icon button.

XPath

You can input any XPath at XPath textbox and press enter to find any xml node.

Copy/Cut/Paste/Delete

You can copy from anywhere and paste to treeview, listview, tableview and textview.

You can copy from treeview, listview, tablew and textview to system clipboard and paste to anywhere.

Popup Edit

You can edit node name, attributes and text with Popup Window at any view by press Ctrl+Ins or click toolbar "Edit Node One By One" button.

Drag and Drop

You can drag and drop with Tree, ListView and TextView.

Hot Keys Index

Action | Press
Popup Edit | Ctrl+Ins
New XML File | Ctrl+N
Open ... | Ctrl+O
Save | Ctrl+S
Print | Ctrl+P
Exit | Alt+Bksp
Move Up | F1
Move Down | F2
New Node | F7
New Child Node | F8
New Attribute | F9
New Node Text | F11
New Comment | F12
Delete selected node, text at diffrent view | Delete
Copy selected nodes, text and items at diffrent view. Clipboard has XML format text | Ctrl+C
Paste selected nodes, text and items at diffrent view. | Ctrl+V
Cut selected nodes, text and items at diffrent view. | Ctrl+X
Undo an action | Ctrl+Z
Redo an action | Ctrl+Y
Select All Text, table cell or list items | Ctrl+A
Show listview detail | Ctrl+Q
Show listview icon | Ctrl+W
Indent selected lines at textview | Tab
Cut indent selected lines at textview | Shift+Tab
Find or Replace text at textview | Ctrl+F
Move cursor to all text start position at textview | Ctrl+Home
Move cursor to all text start position at textview | Ctrl+End
Move to previous list item to edit on listview edit status | Up
Move to next list item to edit on listview edit status | Down